<template>
    <div class="wrapper" :class="{ 'nav-open': $sidebar.showSidebar }">
        <side-bar
                :background-color="sidebarBackground"
                short-title="Argon"
                title="Argon"
        >
            <template slot="links">
                <sidebar-item
                        :link="{
            name: 'Dashboard',
            icon: 'ni ni-tv-2 text-primary',
            path: '/dashboard'
          }"
                />

                <sidebar-item :link="{name: 'User Profile', icon: 'ni ni-single-02 text-yellow', path: '/dashboard/profile'}"/>
                <sidebar-item :link="{name: 'Contacts', icon: 'ni ni-circle-08 text-red', path: '/dashboard/contacts'}"/>
                <!-- sidebar-item :link="{name: 'Settings', icon: 'ni ni-settings-gear-65 text-blue', path: '/dashboard/tables'}"/ -->

            </template>
        </side-bar>
        <div class="main-content" :data="sidebarBackground">
            <dashboard-navbar></dashboard-navbar>

            <div @click="toggleSidebar">
                <base-header type="gradient-success" class="pb-6 pb-8 pt-5 pt-md-8">
                    <!-- Card stats -->
                    <div class="row">
                        <div class="col-xl-3 col-lg-6">
                            <stats-card title="Total views"
                                        type="gradient-red"
                                        sub-title="350,897"
                                        icon="ni ni-active-40"
                                        class="mb-4 mb-xl-0"
                            >

                                <template slot="footer">
                                    <span class="text-success mr-2"><i class="fa fa-arrow-up"></i> 3.48%</span>
                                    <span class="text-nowrap">Since last month</span>
                                </template>
                            </stats-card>
                        </div>
                        <div class="col-xl-3 col-lg-6">
                            <stats-card title="average position"
                                        type="gradient-orange"
                                        sub-title="2,356"
                                        icon="ni ni-chart-pie-35"
                                        class="mb-4 mb-xl-0"
                            >

                                <template slot="footer">
                                    <span class="text-success mr-2"><i class="fa fa-arrow-up"></i> 12.18%</span>
                                    <span class="text-nowrap">Since last month</span>
                                </template>
                            </stats-card>
                        </div>
                        <div class="col-xl-3 col-lg-6">
                            <stats-card title="Contacts"
                                        type="gradient-green"
                                        sub-title="924"
                                        icon="fa fa-eye"
                                        class="mb-4 mb-xl-0"
                            >

                                <template slot="footer">
                                    <span class="text-danger mr-2"><i class="fa fa-arrow-down"></i> 5.72%</span>
                                    <span class="text-nowrap">Since last month</span>
                                </template>
                            </stats-card>

                        </div>
                    </div>
                </base-header>
                <fade-transition :duration="200" origin="center top" mode="out-in">
                    <!-- your content h
                    ere -->
                    <nuxt-child />
                </fade-transition>
                <content-footer v-if="!$route.meta.hideFooter"></content-footer>
            </div>
        </div>
    </div>
</template>
<script>
    import DashboardNavbar from '~/components/argon/layout/DashboardNavbar.vue';
    import ContentFooter from '~/components/argon/layout/ContentFooter.vue';
    import { FadeTransition } from 'vue2-transitions';

    export default {
        components: {
            DashboardNavbar,
            ContentFooter,
            FadeTransition
        },
        data() {
            return {
                sidebarBackground: 'vue' //vue|blue|orange|green|red|primary
            };
        },
        methods: {
            toggleSidebar() {
                if (this.$sidebar.showSidebar) {
                    this.$sidebar.displaySidebar(false);
                }
            }
        }
    };
</script>
<style lang="scss">
</style>
